Loading...
Searching...
No Matches
SynthonSpace.h File Reference

contains a class for searching combinatorial libraries in Synthon format such as Enamine REAL. More...

`#include <map>`
`#include <string>`
`#include <vector>`
`#include <boost/dynamic_bitset.hpp>`
`#include <RDGeneral/export.h>`
`#include <GraphMol/Fingerprints/FingerprintGenerator.h>`
`#include <GraphMol/SynthonSpaceSearch/SynthonSet.h>`
`#include <GraphMol/SynthonSpaceSearch/SearchResults.h>`

Go to the source code of this file.

## Classes

struct | RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams
struct | RDKit::SynthonSpaceSearch::SynthonSpaceHitSet
class | RDKit::SynthonSpaceSearch::SynthonSpace

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::SynthonSpaceSearch

## Variables

const std::vector< std::string > | RDKit::SynthonSpaceSearch::CONNECTOR_SYMBOLS {"[U]", "[Np]", "[Pu]", "[Am]"}
constexpr unsigned int | RDKit::SynthonSpaceSearch::MAX_CONNECTOR_NUM {4}

## Detailed Description

contains a class for searching combinatorial libraries in Synthon format such as Enamine REAL.

Note that this functionality is experimental and the API may change in future releases.

Definition in file SynthonSpace.h.